#!/bin/ksh

# test whether sendmail package is installed
pkginfo -q sendmail || {
	echo "\nERROR: The sendmail package is a prerequisite"
	echo "and must be installed before installation of this package."
	echo "You will find the sendmail package on your Reliant Unix CD"
	exit 1
}


# stop sendmail
sh /etc/rc2.d/S88sendmail stop

# install sendmail executable
[ -f /usr/sbin/sendmail -a ! -L /usr/sbin/sendmail ] && mv /usr/sbin/sendmail /usr/sbin/sendmail.orig
rm -f /usr/sbin/sendmail
[ -L /usr/sbin/sendmail ] || ln -s /usr/local/sendmail/sendmail /usr/sbin/sendmail
chmod go-w / /etc /usr /var /var/spool /var/spool/mqueue
chown root / /etc /usr /var /var/spool /var/spool/mqueue

# create other files
touch /etc/mail/sendmail.pid
touch /etc/mail/statistics

# create mailertable (maybe empty)
touch mailertable
touch mailertable.db
/usr/local/etc/makemap hash mailertable < mailertable

# install aliases, if not existing, use template file
[ -f /etc/aliases -a ! -L /etc/aliases ] && mv /etc/aliases .
rm -f /etc/aliases
[ -L /etc/aliases ] || ln -s /usr/local/sendmail/aliases /etc/aliases
[ -f aliases ] || cp aliases.sample aliases

# create sendmail.cw (maybe empty)
touch sendmail.cw

[ -f sendmail.cf ] && mv sendmail.cf sendmail.cf.bak
rm -f /etc/mail/sendmail.cf
ln -s /usr/local/sendmail/sendmail.cf /etc/mail/sendmail.cf
/usr/local/bin/m4 cf/m4/cf.m4 sendmail.mc > sendmail.cf

# generate Aliasdatabase
touch aliases.db
/usr/sbin/sendmail -bi

# start sendmail
sh /etc/rc2.d/S88sendmail start

exit 0
